Create a bank account

Create a new bank account. The currently signed-in user must have the ADMINISTRATOR user role in the BILL organization to perform this operation. BILL sends an email notification for informing you about changes to your funding accounts.

When you create a bank account, BILL sends a test ACH payment to confirm whether the account details are accurate.

In the response, three fields are set to their default values.

  • The bank account status is set as PENDING. You can verify the bank account with POST /v3/funding-accounts/banks/{bankAccountId}/verify.
  • The payables and receivables values are set as false. To update these values, update the bank account with PATCH /v3/funding-accounts/banks/{bankAccountId}.

Note: Creating a bank account requires an MFA-trusted API session. See MFA setup for information about the BILL MFA process.

See Bank account setup (v3 API) in the Guides section for more information, sample requests, and responses.

Body Params
string
required
length ≥ 1

Full name on bank account

string

Bank routing number. This field is required.

string

Bank account number. This field is required.

string
enum
required

Bank account type

Allowed:
string
enum
required

Bank account owner type

Allowed:
string
required
length between 1 and 100

Bank name. Set this field as a nickname for your bank account.

boolean

Set as true to enable access to all users with the ADMINISTRATOR user role

string

BILL-generated ID of the chart of accounts for the bank account. The value begins with 0ca.

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json